Bug 4082 - проблема со скачиванием больших файлов (> 4Гб)
: проблема со скачиванием больших файлов (> 4Гб)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/proftpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-03 17:51 by
Modified: 2007-11-10 20:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-03 17:51:46
При скачивании большого файла (более 4Гб) клиент получает лишь часть файла.
Докачка также невозможна (скачивается 0 байт).

ftp> get bigfile.tar
local: bigfile.tar remote: bigfile.tar
200 PORT command successful
150 Opening BINARY mode data connection for bigfile.tar (9359319040 bytes)
226 Transfer complete.
769384448 bytes received in 98 secs (7.7e+03 Kbytes/sec)

Проверялось на клиентах ftp, ncftp, строенный ftp-клиент mc. Везде одинаковый
результат: получаем неполный файл.
Действительно ли proftpd собран с поддержкой LFS?
------- Comment #1 From 2006-09-28 01:27:26 -------
reassign
------- Comment #2 From 2006-12-17 17:07:32 -------
собран, собран.
------- Comment #3 From 2007-05-16 14:07:01 -------
ping. Бага все еще актуальна?
------- Comment #4 From 2007-11-10 20:08:58 -------
Поскольку crux@ не ответит, а thresh@ подтвердил -- закрываю как FIXED.